Error meanwhile upgrade from beta 5 to beta 7


(Marco) #1

Hello to all…
I have upgraded the docker…
I then I run this:

Upgrades via the web UI are disabled until you run the latest image.

To do so log in to your server using SSH and run:

cd /var/discourse
git pull
./launcher rebuild app

But to me this procedure by error:

Where I enter the email?


(Gerhard Schlager) #2

You need to edit the configuration file of your Docker container. Usually it’s /var/discourse/containers/app.yml


(Marco) #3

EDIT:

Where I find the data to be entered?


(Felix Freiberger) #4

Exactly here: Your screenshot shows the relevant DISCOURSE_SMTP_*-settings.

But you shouldn’t need that, since you only upgraded. Did you modify the container definition after installing Discourse? Do you have multiple container definitions?


(Marco) #5

I don’t have made any changes °°


(Felix Freiberger) #6

Then I have no idea why your Discourse installation ever worked. :frowning:


(Marco) #7

I have put my email, but I still get error…


(Wes Osborn) #8

Sounds like you might want to review the basic install instructions for configuring your app.yml file: discourse/INSTALL-cloud.md at master · discourse/discourse · GitHub

Also, take a look at: Troubleshooting email on a new Discourse install


(Kane York) #10

Okay, so your comment including the UN/PW was deleted, but…

Uh, the username ends with .com.com - I don’t think that’s right.